pluginManagement {
    includeBuild("build-logic")
    repositories {
        google {
            content {
                includeGroupByRegex("com\\.android.*")
                includeGroupByRegex("com\\.google.*")
                includeGroupByRegex("androidx.*")
            }
        }
        mavenCentral()
        gradlePluginPortal()
    }
}

dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
    repositories {
        google()
        mavenCentral()
    }
}

rootProject.name = "Luach"

include(":app")
include(":baselineprofile")

include(":core:common")
include(":core:design")
include(":core:ui")
include(":core:settings")
include(":core:datetime")
include(":core:jewcal")
include(":core:zmanim")
include(":core:location")
include(":core:notifications")
include(":core:calsync")
include(":core:testing")

include(":feature:calendar")
include(":feature:zmanim")
include(":feature:settings")
include(":feature:locationpicker")
include(":feature:dafyomi")
include(":feature:ics")
